# CleanAlchemy

CleanAlchemy is a Python package that provides a framework for implementing Clean Architecture using SQLAlchemy. It includes base classes for entities, DAOs, services, and repositories, making it easier to structure and organize your code. While it is intended to be framework-agnostic, it currently only supports FastAPI.

## Features

- **Abstract Base Classes**: For DAOs, repositories, and services.
- **SQLAlchemy Integration**: Simplifies database interactions.
- **Clean Architecture Principles**: Promotes separation of concerns and maintainability.
- **Framework Agnostic**: Can be used with FastAPI, Flask, Django, etc.
- **Pydantic Integration**: For data validation and settings management.

## Installation

You can install CleanAlchemy using pip:

```bash
pip install clean-alchemy
